Skip to main content

Copy patterns

POST 

/nevisadmin/api/v1/projects/:projectKey/copy-patterns

Required permission: VIEW_PROJECT on the source project

Required permission: MODIFY_PROJECT on the target project

Copy a list of patterns from one project to another. Use the includeVariables field in the body to also copy over variables referenced by the copied patterns.

Copy modes:

  • DRY_RUN: simulate the copy, returns validation only.
  • NORMAL: copy only new patterns. Fails if the pattern id already exists in the target project. Copies are linked to the original by sharing the same pattern id.
  • FORCE: copy and replace patterns with the same id as well. Copies are linked to the original by sharing the same pattern id.
  • NEW: copy patterns under new ids. Copies are not linked to the original.
  • DRY_RUN_NEW: simulate the copy as if done with NEW, returns validation only.

Request

Responses

Success (dry-run modes)